# Пример контроля за калибровкой бампера кнопкой:           #
                                                            #
from pyiArduinoI2Cbumper import *                           #   Подключаем библиотеку для работы с бампером I2C-flash.
bum = pyiArduinoI2Cbumper(0x09)                             #   Объявляем объект bum для работы с функциями и методами библиотеки pyiArduinoI2Cbumper, указывая адрес модуля на шине I2C.
                                                            #   Если объявить объект без указания адреса bum = pyiArduinoI2Cbumper(), то адрес будет найден автоматически.
int main(){                                                #
    delay(500)                                             # * Ждём завершение переходных процессов связанных с подачей питания.
    begin(9600)                                     #   Инициируем передачу данных в монитор последовательного порта на скорости 9600 бит/сек.
    while(!{ }                                      # * Ждём завершения инициализации шины UART.
    bum.begin()                                            #   Инициируем работу с бампером.
    println("Установите бампер над линией трассы")  #   Выводим текст.
    println("Нажмите на кнопку «калибровка».\r\n")  #   Выводим текст.
    while(bum.getCalibrationStage()!=BUM_STAGE_READ_LN){ } #   Ждём начала чтения показаний с линий трассы.
    println("Выполняется чтение линий трассы...")   #   Выводим текст.
    while(bum.getCalibrationStage()!=BUM_STAGE_WAITING){ } #   Ждём перехода модуля в стадию ожидания команды на чтение фона.
    println("Чтение линий завершено.\r\n")          #   Выводим текст.
    println("Установите бампер над фоном трассы")   #   Выводим текст.
    println("Нажмите на кнопку «калибровка».\r\n")  #   Выводим текст.
    while(bum.getCalibrationStage()!=BUM_STAGE_READ_BG){ } #   Ждём начала чтения показаний с фона трассы.
    println("Выполняется чтение фона трассы...")    #   Выводим текст.
    while(bum.getCalibrationStage()==BUM_STAGE_READ_BG){ } #   Ждём завершения чтения показаний с фона трассы.
    println("Чтение фона завершено.\r\n")           #   Выводим текст.
    if(bum.getCalibrationStage()==BUM_STAGE_OFF_OK){       #   Если калибровка выполнена успешно, то...
        println("Калибровка выполнена успешно!")    #   Выводим текст.
    }else{                                                 #   Иначе ...
        println("Калибровка не выполнена!")         #   Выводим текст.
    }                                                      #
}                                                          #
/*  ПЕРЕЧЕНЬ ЗНАЧЕНИЙ   возвращаемых функцией getCalibrationStage():
 *  BUM_STAGE_READ_LN - выполняется чтение АЦП с датчиков установленных над линией трассы.
 *  BUM_STAGE_WAITING - модуль ожидает поступления команды на чтение фона.
 *  BUM_STAGE_READ_BG - выполняется чтение АЦП с датчиков установленных над фоном трассы.
 *  BUM_STAGE_OFF_ERR - калибровка завершена провалом.
 *  BUM_STAGE_OFF_OK  - калибровка завершена успехом.
 */
